class Szallitas {
    constructor(felado, cimzett, suly, azonosito) {
        this.felado = felado
        this.cimzett = cimzett
        this.suly = suly
        this.azonosito = azonosito
    }

    informacio() {
        return `A feladó ${this.felado}, a címzett ${this.cimzett}, a csomag súlya ${this.suly} és az azonosítója ${this.azonosito}`
    }
}

class Csomag extends Szallitas {
    static csomagSzam = 0
    constructor(felado, cimzett, suly, azonosito, meret) {
        super(felado, cimzett, suly, azonosito)
        this.meret = meret
        Csomag.csomagSzam++
    }

    informacio() {
        return `${super.informacio()}, valamint a cosmag mérete ${this.meret}.`
    }

    static osszesCsomag() {
        return Csomag.csomagSzam
    }
}

class Teherauto extends Szallitas {
    static autoSzam = 0
    constructor(felado, cimzett, suly, azonosito, maxTerheles) {
        super(felado, cimzett, suly, azonosito)
        this.maxTerheles = maxTerheles
    }

    informacio() {
        return `${super.informacio()}, valamint a terhelhetősége ${this.maxTerheles}.`
    }

    static osszesAuto() {
        return Teherauto.autoSzam
    }
}


const csomag1 = new Csomag("Kutya", "Macska", "15kg", 1)
const csomag2 = new Csomag("Disznaj", "Kecske", "20kg", 2)
console.log(csomag1.informacio());
console.log(Csomag.osszesCsomag())


const teherauto1 = new Teherauto("Kutya", "Macska", "15kg", 1, "250kg")
const teherauto2 = new Teherauto("500kg")
console.log(teherauto1.informacio());
console.log(Teherauto.osszesAuto())